Page MenuHomeFreeBSD

graphics/mesa: Update to 22.3
ClosedPublic

Authored by manu on Dec 1 2022, 1:34 PM.
Tags
None
Referenced Files
F84868848: D37580.diff
Wed, May 29, 2:43 PM
Unknown Object (File)
Wed, May 22, 11:52 AM
Unknown Object (File)
Tue, May 21, 11:41 AM
Unknown Object (File)
Tue, May 21, 10:29 AM
Unknown Object (File)
Mon, May 6, 7:44 AM
Unknown Object (File)
Mon, May 6, 7:44 AM
Unknown Object (File)
Mon, May 6, 7:44 AM
Unknown Object (File)
Mon, May 6, 7:44 AM
Subscribers

Details

Reviewers
None
Group Reviewers
x11
Commits
R11:855947ebf7e7: graphics/mesa: Update to 22.3
Summary

Release notes: https://lists.freedesktop.org/archives/mesa-announce/2022-November/000695.html
On top of the release notes it seems that Gallium XVMC is also removed, see
https://gitlab.freedesktop.org/mesa/mesa/-/commit/8cc766d8f7eac26b7c029a2fac1bdfdba4776c29 for
more info.

Sponsored by: Beckhoff Automation GmbH & Co. KG

Test Plan

Only build tested on amd64 for now.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

manu requested review of this revision.Dec 1 2022, 1:34 PM
manu added a reviewer: x11.

Address testport issues.

Remove xvmc for gallium-xa too

Did you stop bumping pinned LLVM_DEFAULT on updates? For example, lang/rust bundles llvm15 (see rustc -vV output) and rustcl upstream also recommends llvm15. WITH_LTO=1 (via Mk/Features/lto.mk) needs LLVM version in clang and rustc to match for ld.lld to successfully link objects (with LLVM bitcode) produced by both.

Did you stop bumping pinned LLVM_DEFAULT on updates? For example, lang/rust bundles llvm15 (see rustc -vV output) and rustcl upstream also recommends llvm15. WITH_LTO=1 (via Mk/Features/lto.mk) needs LLVM version in clang and rustc to match for ld.lld to successfully link objects (with LLVM bitcode) produced by both.

Simply forgot to check, will update LLVM_DEFAULT on commit.

Bump LLVM_DEFAULT to 15 so LTO works.

Can you update devel/libclc to 15.* to keep LLVM bitcode in sync with libLLVM used by lang/clover? See attached patch for example: {F52560643}

Update libclc to LLVM 15 too.

Can you update devel/libclc to 15.* to keep LLVM bitcode in sync with libLLVM used by lang/clover? See attached patch for example: {F52560643}

Done, thanks for the reminder.

diizzy added inline comments.
devel/libclc/Makefile
16–17

Perhaps make use of the DISTVERSION variable instead?
$DISTVERSION:R and $DISTVERSION:R:R

This revision was not accepted when it landed; it landed in state Needs Review.Dec 5 2022, 2:04 PM
This revision was automatically updated to reflect the committed changes.